org.eclipse.january.metadata

## Interface IExtendedMetadata

- All Superinterfaces:
    Cloneable, IDataAnalysisObject, IMetadata, MetadataType, Serializable

      public interface IExtendedMetadata
      extends IMetadata

  This is an interface that has been designed to add information about a file in addition to information which has been implemented in IMetadata.

  It is intended that implementations of this interface will be through an adapter

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.january.metadata.IMetadata

      `serialVersionUID`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getCreation()` This should be the timestamp of when the experiment or measurement took place which should be recorded in the header of the file, if applicable
    `String` | `getCreator()`
    `String` | `getFileName()`
    `String` | `getFileOwner()`
    `long` | `getFileSize()`
    `String` | `getFullPath()`
    `Date` | `getLastModified()`
    `String` | `getScanCommand()`
    `void` | `initialize(File f)` Initialize with a file

    - ### Methods inherited from interface org.eclipse.january.metadata.IMetadata

      `addDataInfo, addNames, clone, getDataNames, getDataShapes, getDataSizes, getFilePath, getMetaNames, getMetaValue, getUserObjects, initialize, setFilePath, setMetadata`

- - ### Method Detail

    - #### initialize

          void initialize(File f)

      Initialize with a file
      Parameters:
        `f` - file

    - #### getCreation

          Date getCreation()

      This should be the timestamp of when the experiment or measurement took place which should be recorded in the header of the file, if applicable
      Returns:
        a date object to represent when the data was created

    - #### getLastModified

          Date getLastModified()

      Returns:
        a date object that indicated when the data was last modified

    - #### getCreator

          String getCreator()

      Returns:
        a string representing the user who created the file

    - #### getFileName

          String getFileName()

      Returns:
        a string containing the filename

    - #### getFileOwner

          String getFileOwner()

      Returns:
        the owner of the file

    - #### getFileSize

          long getFileSize()

      Returns:
        a long representing the size of the file in bytes

    - #### getFullPath

          String getFullPath()

      Returns:
        the full path string of the file

    - #### getScanCommand

          String getScanCommand()

      Returns:
        The scan command as a string that was used to generate the data. This can be null as not always applicable

Copyright © 2014–2022 Eclipse Foundation. All rights reserved.